Loading...
Searching...
No Matches
cl_functions.h File Reference

Go to the source code of this file.

## Macros

#define | CL_FN(ret, fn, args)
#define | CL_12_FN(ret, fn, args)

## Functions

| CL_FN (cl_int, clGetPlatformIDs,(cl_uint, cl_platform_id *, cl_uint *))
| CL_FN (cl_int, clGetPlatformInfo,(cl_platform_id, cl_platform_info, size_t, void *, size_t *))
| CL_FN (cl_int, clGetDeviceIDs,(cl_platform_id, cl_device_type, cl_uint, cl_device_id *, cl_uint *))
| CL_FN (cl_int, clGetDeviceInfo,(cl_device_id, cl_device_info, size_t, void *, size_t *))
| CL_12_FN (cl_int, clCreateSubDevices,(cl_device_id, const cl_device_partition_property *, cl_uint, cl_device_id *, cl_uint *))
| CL_12_FN (cl_int, clRetainDevice,(cl_device_id))
| CL_12_FN (cl_int, clReleaseDevice,(cl_device_id))
| CL_FN (cl_context, clCreateContext,(const cl_context_properties *, cl_uint, const cl_device_id *, void(CL_CALLBACK *)(const char *, const void *, size_t, void *), void *, cl_int *))
| CL_FN (cl_context, clCreateContextFromType,(const cl_context_properties *, cl_device_type, void(CL_CALLBACK *)(const char *, const void *, size_t, void *), void *, cl_int *))
| CL_FN (cl_int, clRetainContext,(cl_context))
| CL_FN (cl_int, clReleaseContext,(cl_context))
| CL_FN (cl_int, clGetContextInfo,(cl_context, cl_context_info, size_t, void *, size_t *))
| CL_FN (cl_command_queue, clCreateCommandQueue,(cl_context, cl_device_id, cl_command_queue_properties, cl_int *))
| CL_FN (cl_int, clRetainCommandQueue,(cl_command_queue))
| CL_FN (cl_int, clReleaseCommandQueue,(cl_command_queue))
| CL_FN (cl_int, clGetCommandQueueInfo,(cl_command_queue, cl_command_queue_info, size_t, void *, size_t *))
| CL_FN (cl_mem, clCreateBuffer,(cl_context, cl_mem_flags, size_t, void *, cl_int *))
| CL_FN (cl_mem, clCreateSubBuffer,(cl_mem, cl_mem_flags, cl_buffer_create_type, const void *, cl_int *))
| CL_12_FN (cl_mem, clCreateImage,(cl_context, cl_mem_flags, const cl_image_format *, const cl_image_desc *, void *, cl_int *))
| CL_FN (cl_int, clRetainMemObject,(cl_mem))
| CL_FN (cl_int, clReleaseMemObject,(cl_mem))
| CL_FN (cl_int, clGetSupportedImageFormats,(cl_context, cl_mem_flags, cl_mem_object_type, cl_uint, cl_image_format *, cl_uint *))
| CL_FN (cl_int, clGetMemObjectInfo,(cl_mem, cl_mem_info, size_t, void *, size_t *))
| CL_FN (cl_int, clGetImageInfo,(cl_mem, cl_image_info, size_t, void *, size_t *))
| CL_FN (cl_int, clSetMemObjectDestructorCallback,(cl_mem, void(CL_CALLBACK *)(cl_mem, void *), void *))
| CL_FN (cl_program, clCreateProgramWithSource,(cl_context, cl_uint, const char **, const size_t *, cl_int *))
| CL_FN (cl_int, clRetainProgram,(cl_program))
| CL_FN (cl_int, clReleaseProgram,(cl_program))
| CL_FN (cl_int, clBuildProgram,(cl_program, cl_uint, const cl_device_id *, const char *, void(CL_CALLBACK *)(cl_program, void *), void *))
| CL_FN (cl_int, clGetProgramBuildInfo,(cl_program, cl_device_id, cl_program_build_info, size_t, void *, size_t *))
| CL_FN (cl_kernel, clCreateKernel,(cl_program, const char *, cl_int *))
| CL_FN (cl_int, clRetainKernel,(cl_kernel))
| CL_FN (cl_int, clReleaseKernel,(cl_kernel))
| CL_FN (cl_int, clSetKernelArg,(cl_kernel, cl_uint, size_t, const void *))
| CL_FN (cl_int, clFlush,(cl_command_queue))
| CL_FN (cl_int, clFinish,(cl_command_queue))
| CL_FN (cl_int, clEnqueueReadBuffer,(cl_command_queue, cl_mem, cl_bool, size_t, size_t, void *, cl_uint, const cl_event *, cl_event *))
| CL_FN (cl_int, clEnqueueReadBufferRect,(cl_command_queue, cl_mem, cl_bool, const size_t *, const size_t *, const size_t *, size_t, size_t, size_t, size_t, void *, cl_uint, const cl_event *, cl_event *))
| CL_FN (cl_int, clEnqueueWriteBuffer,(cl_command_queue, cl_mem, cl_bool, size_t, size_t, const void *, cl_uint, const cl_event *, cl_event *))
| CL_FN (cl_int, clEnqueueWriteBufferRect,(cl_command_queue, cl_mem, cl_bool, const size_t *, const size_t *, const size_t *, size_t, size_t, size_t, size_t, const void *, cl_uint, const cl_event *, cl_event *))
| CL_FN (cl_int, clEnqueueCopyBuffer,(cl_command_queue, cl_mem, cl_mem, size_t, size_t, size_t, cl_uint, const cl_event *, cl_event *))
| CL_FN (cl_int, clEnqueueReadImage,(cl_command_queue, cl_mem, cl_bool, const size_t *, const size_t *, size_t, size_t, void *, cl_uint, const cl_event *, cl_event *))
| CL_FN (cl_int, clEnqueueWriteImage,(cl_command_queue, cl_mem, cl_bool, const size_t *, const size_t *, size_t, size_t, const void *, cl_uint, const cl_event *, cl_event *))
| CL_FN (void *, clEnqueueMapBuffer,(cl_command_queue, cl_mem, cl_bool, cl_map_flags, size_t, size_t, cl_uint, const cl_event *, cl_event *, cl_int *))
| CL_FN (void *, clEnqueueMapImage,(cl_command_queue, cl_mem, cl_bool, cl_map_flags, const size_t *, const size_t *, size_t *, size_t *, cl_uint, const cl_event *, cl_event *, cl_int *))
| CL_FN (cl_int, clEnqueueUnmapMemObject,(cl_command_queue, cl_mem, void *, cl_uint, const cl_event *, cl_event *))
| CL_FN (cl_int, clEnqueueNDRangeKernel,(cl_command_queue, cl_kernel, cl_uint, const size_t *, const size_t *, const size_t *, cl_uint, const cl_event *, cl_event *))

## Macro Definition Documentation

## CL_FN

#define CL_FN | ( |  | ret,
|  |  | fn,
|  |  | args )

Definition at line 9 of file cl_functions.h.

## CL_12_FN

#define CL_12_FN | ( |  | ret,
|  |  | fn,
|  |  | args )

Value:
CL_FN(ret, fn, args)
CL_FN
#define CL_FN(ret, fn, args)
Definition cl_functions.h:9

Definition at line 13 of file cl_functions.h.

## Function Documentation

## CL_FN() [1/43]

CL_FN | ( | cl_int | ,
|  | clGetPlatformIDs | ,
|  | (cl_uint, cl_platform_id *, cl_uint *) | )

## CL_FN() [2/43]

CL_FN | ( | cl_int | ,
|  | clGetPlatformInfo | ,
|  | (cl_platform_id, cl_platform_info, size_t, void *, size_t *) | )

## CL_FN() [3/43]

CL_FN | ( | cl_int | ,
|  | clGetDeviceIDs | ,
|  | (cl_platform_id, cl_device_type, cl_uint, cl_device_id *, cl_uint *) | )

## CL_FN() [4/43]

CL_FN | ( | cl_int | ,
|  | clGetDeviceInfo | ,
|  | (cl_device_id, cl_device_info, size_t, void *, size_t *) | )

## CL_12_FN() [1/4]

CL_12_FN | ( | cl_int | ,
|  | clCreateSubDevices | ,
|  | (cl_device_id, const cl_device_partition_property *, cl_uint, cl_device_id *, cl_uint *) | )

## CL_12_FN() [2/4]

CL_12_FN | ( | cl_int | ,
|  | clRetainDevice | ,
|  | (cl_device_id) | )

## CL_12_FN() [3/4]

CL_12_FN | ( | cl_int | ,
|  | clReleaseDevice | ,
|  | (cl_device_id) | )

## CL_FN() [5/43]

CL_FN | ( | cl_context | ,
|  | clCreateContext | ,
|  | (const cl_context_properties *, cl_uint, const cl_device_id *, void(CL_CALLBACK * | )(const char *, const void *, size_t, void *), void *, cl_int *) )

References CL_CALLBACK.

## CL_FN() [6/43]

CL_FN | ( | cl_context | ,
|  | clCreateContextFromType | ,
|  | (const cl_context_properties *, cl_device_type, void(CL_CALLBACK * | )(const char *, const void *, size_t, void *), void *, cl_int *) )

References CL_CALLBACK.

## CL_FN() [7/43]

CL_FN | ( | cl_int | ,
|  | clRetainContext | ,
|  | (cl_context) | )

## CL_FN() [8/43]

CL_FN | ( | cl_int | ,
|  | clReleaseContext | ,
|  | (cl_context) | )

## CL_FN() [9/43]

CL_FN | ( | cl_int | ,
|  | clGetContextInfo | ,
|  | (cl_context, cl_context_info, size_t, void *, size_t *) | )

## CL_FN() [10/43]

CL_FN | ( | cl_command_queue | ,
|  | clCreateCommandQueue | ,
|  | (cl_context, cl_device_id, cl_command_queue_properties, cl_int *) | )

## CL_FN() [11/43]

CL_FN | ( | cl_int | ,
|  | clRetainCommandQueue | ,
|  | (cl_command_queue) | )

## CL_FN() [12/43]

CL_FN | ( | cl_int | ,
|  | clReleaseCommandQueue | ,
|  | (cl_command_queue) | )

## CL_FN() [13/43]

CL_FN | ( | cl_int | ,
|  | clGetCommandQueueInfo | ,
|  | (cl_command_queue, cl_command_queue_info, size_t, void *, size_t *) | )

## CL_FN() [14/43]

CL_FN | ( | cl_mem | ,
|  | clCreateBuffer | ,
|  | (cl_context, cl_mem_flags, size_t, void *, cl_int *) | )

## CL_FN() [15/43]

CL_FN | ( | cl_mem | ,
|  | clCreateSubBuffer | ,
|  | (cl_mem, cl_mem_flags, cl_buffer_create_type, const void *, cl_int *) | )

## CL_12_FN() [4/4]

CL_12_FN | ( | cl_mem | ,
|  | clCreateImage | ,
|  | (cl_context, cl_mem_flags, const cl_image_format *, const cl_image_desc *, void *, cl_int *) | )

## CL_FN() [16/43]

CL_FN | ( | cl_int | ,
|  | clRetainMemObject | ,
|  | (cl_mem) | )

## CL_FN() [17/43]

CL_FN | ( | cl_int | ,
|  | clReleaseMemObject | ,
|  | (cl_mem) | )

## CL_FN() [18/43]

CL_FN | ( | cl_int | ,
|  | clGetSupportedImageFormats | ,
|  | (cl_context, cl_mem_flags, cl_mem_object_type, cl_uint, cl_image_format *, cl_uint *) | )

## CL_FN() [19/43]

CL_FN | ( | cl_int | ,
|  | clGetMemObjectInfo | ,
|  | (cl_mem, cl_mem_info, size_t, void *, size_t *) | )

## CL_FN() [20/43]

CL_FN | ( | cl_int | ,
|  | clGetImageInfo | ,
|  | (cl_mem, cl_image_info, size_t, void *, size_t *) | )

## CL_FN() [21/43]

CL_FN | ( | cl_int | ,
|  | clSetMemObjectDestructorCallback | ,
|  | (cl_mem, void(CL_CALLBACK * | )(cl_mem, void *), void *) )

References CL_CALLBACK.

## CL_FN() [22/43]

CL_FN | ( | cl_program | ,
|  | clCreateProgramWithSource | ,
|  | (cl_context, cl_uint, const char **, const size_t *, cl_int *) | )

## CL_FN() [23/43]

CL_FN | ( | cl_int | ,
|  | clRetainProgram | ,
|  | (cl_program) | )

## CL_FN() [24/43]

CL_FN | ( | cl_int | ,
|  | clReleaseProgram | ,
|  | (cl_program) | )

## CL_FN() [25/43]

CL_FN | ( | cl_int | ,
|  | clBuildProgram | ,
|  | (cl_program, cl_uint, const cl_device_id *, const char *, void(CL_CALLBACK * | )(cl_program, void *), void *) )

References CL_CALLBACK.

## CL_FN() [26/43]

CL_FN | ( | cl_int | ,
|  | clGetProgramBuildInfo | ,
|  | (cl_program, cl_device_id, cl_program_build_info, size_t, void *, size_t *) | )

## CL_FN() [27/43]

CL_FN | ( | cl_kernel | ,
|  | clCreateKernel | ,
|  | (cl_program, const char *, cl_int *) | )

## CL_FN() [28/43]

CL_FN | ( | cl_int | ,
|  | clRetainKernel | ,
|  | (cl_kernel) | )

## CL_FN() [29/43]

CL_FN | ( | cl_int | ,
|  | clReleaseKernel | ,
|  | (cl_kernel) | )

## CL_FN() [30/43]

CL_FN | ( | cl_int | ,
|  | clSetKernelArg | ,
|  | (cl_kernel, cl_uint, size_t, const void *) | )

## CL_FN() [31/43]

CL_FN | ( | cl_int | ,
|  | clFlush | ,
|  | (cl_command_queue) | )

## CL_FN() [32/43]

CL_FN | ( | cl_int | ,
|  | clFinish | ,
|  | (cl_command_queue) | )

## CL_FN() [33/43]

CL_FN | ( | cl_int | ,
|  | clEnqueueReadBuffer | ,
|  | (cl_command_queue, cl_mem, cl_bool, size_t, size_t, void *, cl_uint, const cl_event *, cl_event *) | )

## CL_FN() [34/43]

CL_FN | ( | cl_int | ,
|  | clEnqueueReadBufferRect | ,
|  | (cl_command_queue, cl_mem, cl_bool, const size_t *, const size_t *, const size_t *, size_t, size_t, size_t, size_t, void *, cl_uint, const cl_event *, cl_event *) | )

## CL_FN() [35/43]

CL_FN | ( | cl_int | ,
|  | clEnqueueWriteBuffer | ,
|  | (cl_command_queue, cl_mem, cl_bool, size_t, size_t, const void *, cl_uint, const cl_event *, cl_event *) | )

## CL_FN() [36/43]

CL_FN | ( | cl_int | ,
|  | clEnqueueWriteBufferRect | ,
|  | (cl_command_queue, cl_mem, cl_bool, const size_t *, const size_t *, const size_t *, size_t, size_t, size_t, size_t, const void *, cl_uint, const cl_event *, cl_event *) | )

## CL_FN() [37/43]

CL_FN | ( | cl_int | ,
|  | clEnqueueCopyBuffer | ,
|  | (cl_command_queue, cl_mem, cl_mem, size_t, size_t, size_t, cl_uint, const cl_event *, cl_event *) | )

## CL_FN() [38/43]

CL_FN | ( | cl_int | ,
|  | clEnqueueReadImage | ,
|  | (cl_command_queue, cl_mem, cl_bool, const size_t *, const size_t *, size_t, size_t, void *, cl_uint, const cl_event *, cl_event *) | )

## CL_FN() [39/43]

CL_FN | ( | cl_int | ,
|  | clEnqueueWriteImage | ,
|  | (cl_command_queue, cl_mem, cl_bool, const size_t *, const size_t *, size_t, size_t, const void *, cl_uint, const cl_event *, cl_event *) | )

## CL_FN() [40/43]

CL_FN | ( | void * | ,
|  | clEnqueueMapBuffer | ,
|  | (cl_command_queue, cl_mem, cl_bool, cl_map_flags, size_t, size_t, cl_uint, const cl_event *, cl_event *, cl_int *) | )

## CL_FN() [41/43]

CL_FN | ( | void * | ,
|  | clEnqueueMapImage | ,
|  | (cl_command_queue, cl_mem, cl_bool, cl_map_flags, const size_t *, const size_t *, size_t *, size_t *, cl_uint, const cl_event *, cl_event *, cl_int *) | )

## CL_FN() [42/43]

CL_FN | ( | cl_int | ,
|  | clEnqueueUnmapMemObject | ,
|  | (cl_command_queue, cl_mem, void *, cl_uint, const cl_event *, cl_event *) | )

## CL_FN() [43/43]

CL_FN | ( | cl_int | ,
|  | clEnqueueNDRangeKernel | ,
|  | (cl_command_queue, cl_kernel, cl_uint, const size_t *, const size_t *, const size_t *, cl_uint, const cl_event *, cl_event *) | )